import React, { useRef, useEffect } from 'react';
import { Form } from 'react-bootstrap';

export default function ChatInput({ value, onChange }) {
    const textareaRef = useRef(null);

    useEffect(() => {
        const textarea = textareaRef.current;
        if (textarea) {
            textarea.style.height = 'auto'; // 先重设
            textarea.style.height = `${textarea.scrollHeight}px`; // 设置为内容高度
        }
    }, [value]);

    return (
        <Form.Control
            as='textarea'
            rows={1}
            ref={textareaRef}
            value={value}
            onChange={onChange}
            placeholder='Send a message...'
            className='chat-textarea'
        />
    );
}
