import React, { useEffect, useState } from 'react';
import InboxList from '@/components/InboxList';
import ChatWindow from '@/components/ChatWindow';
import '@/styles/Inbox.scss';
import { useSelector, useDispatch } from 'react-redux';
import { resetSelectedChat } from '@/store/slices/inboxSlice';
import ChatDetails from '@/components/ChatDetails';

export default function CreatorInbox() {
    const { selectedChat } = useSelector((state) => state.inbox);
    const [openChatDetails, setOpenChatDetails] = useState(false);

    const dispatch = useDispatch();
    useEffect(() => {
        return () => {
            dispatch(resetSelectedChat());
        };
    }, []);

    useEffect(() => {}, [selectedChat]);

    return (
        <React.Fragment>
            <InboxList />
            {selectedChat?.id && <ChatWindow onOpenChatDetails={() => setOpenChatDetails(true)} />}
            {openChatDetails && <ChatDetails onCloseChatDetails={() => setOpenChatDetails(false)} />}
        </React.Fragment>
    );
}
